### Function

# Gimp context_set_line_cap_style

#### Declaration [src]

    gboolean
    gimp_context_set_line_cap_style (
      GimpCapStyle cap_style
    )

#### Description [src]

Set the line cap style setting.

This procedure modifies the line cap style setting for stroking lines.

This setting affects the following procedures: gimp_drawable_edit_stroke_selection(), gimp_drawable_edit_stroke_item().

Available since: | 2.10

#### Parameters

`cap_style` | `GimpCapStyle`
| The line cap style setting.

#### Return value

Returns: | `gboolean`
| TRUE on success.